Servoy JasperReports Plugin - Defect #241

Webclient issue after upgrade to 3.1.0 final
03/01/2011 11:17 PM - Lambert Willemsen

Status: Closed Start date: 03/01/2011
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

After upgrading to 3.1.0 final every runReport in webclient returns the following error (output type print, pdf)
Smartclient is ok.

Run from Servoy Developer 5.2.6

java.lang.NullPointerException

at net.sf.jasperreports.engine.util. JRLoader.loadBytes(JRLoader.java:329)

at net.sf.jasperreports.engine.util. JRLoader.loadBytesFromLocation(JRLoader.java:467)

at net.sf.jasperreports.engine.export.JRPdfExporter.getFont(JRPdfExporter.java:1876)

at net.sf.jasperreports.engine.export.JRPdfExporter.getChunk(JRPdfExporter.java: 1690)

at net.sf.jasperreports.engine.export.JRPdfExporter.getPhrase(JRPdfExporter.java: 1666)

at net.sf.jasperreports.engine.export.JRPdfExporter.exportText(JRPdfExporter.java:2099)

at net.sf.jasperreports.engine.export.JRPdfExporter.exportElements(JRPdfExporter.java:750)

at net.sf.jasperreports.engine.export.JRPdfExporter.exportPage(JRPdfExporter.java:710)

at net.sf.jasperreports.engine.export.JRPdfExporter.exportReportToStream(JRPdfExporter.java:599)

at net.sf.jasperreports.engine.export.JRPdfExporter.exportReport(JRPdfExporter.java:360)

at com.servoy.plugins.jasperreports.JasperReportRunner.getJasperBytes(JasperReportRunner.java:205)
at com.servoy.plugins.jasperreports.JasperReportsProvider.runReport(JasperReportsProvider.java:514)

at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:369)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:362)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:179)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:353)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:3666)

at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:2680)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:166)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:387)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3127)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:165)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:476)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:382)
at com.servoy.j2db.plugins.ClientPluginAccessProvider$MethodExecutor.run(ClientPluginAccessProvider.java:511)
at com.servoy.j2db.server.headlessclient. WebClient.executeEvents(WebClient.java:460)

at com.servoy.j2db.debug.DebugWebClient.onBeginRequest(DebugWebClient.java:377)

at com.servoy.j2db.server.headlessclient. WebClientsApplication$6.onBeginRequest(WebClientsApplication.java:490)
at org.apache.wicket.RequestCycle.prepare(RequestCycle.java:1240)

at org.apache.wicket.RequestCycle.step(RequestCycle.java:1304)

at org.apache.wicket.RequestCycle.steps(RequestCycle.java:1436)

at org.apache.wicket.RequestCycle.request(RequestCycle.java:545)

at org.apache.wicket.protocol.http.WicketFilter.doGet(WicketFilter.java:486)

at com.servoy.j2db.server.servlets.Zl.doGet(Zl.java:7)

at org.apache.wicket.protocol.http.WicketServlet.doGet(WicketServlet.java:138)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:567)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
at org.apache.tomcat.util.net.JloEndpoint$Worker.run(JIoEndpoint.java:454)

at java.lang.Thread.run(Unknown Source)

History

#1 - 03/04/2011 06:10 PM - Lambert Willemsen
- File logo4.jpg added

It happens when loading an image file. Jasper sees the image file because when | delete the image file | get another (correct) error thrown.
As said : Smartclient Developer runs ok.

#2 - 04/04/2011 02:30 PM - Andrei Costache

- Status changed from New to Closed

Files

logo4.jpg 1.42 KB 03/04/2011 Lambert Willemsen
